Subject: [bug#54293] [PATCH v2] home: Add home-git-service-type.

From: Maxime Devos <[email-masked]>
Date: Sat, 12 Mar 2022 11:02:00 +0100

[email-masked] schreef op za 12-03-2022 om 10:22 [+0800]:
> +(define (home-git-profile config)
> +  (let ((package (home-git-configuration-package config)))
> +    (if (home-git-configuration-enable-send-email? config)
> +        `(,package (,package "send-email"))
> +        `(,package))))

Why is git added to the profile?

E.g., what if, say, I want to use "guix home" only for setting up
environment variables, dot files, etc, but not for installing software,
and I want to use "guix install" for installing software?

Alternatively, what if most of the time I don't use Guix, so I have no
need for "git" in the environment, and when I do need git, I'll just do
"guix shell git" to temporarily add it?

Greetings,
Maxime.